For the complete documentation index, see llms.txt. This page is also available as Markdown.

CMR

Create New CMR

post
/cmrs

This method allows users to create a new CMR document in the EuroGate system with sender, recipient, carrier, vehicle, and Manifest information.

Authorizations
AuthorizationstringRequired

Authorization JWT-token with a lifetime of 1 hour in header

Body
partnerNumberstring · max: 50 · nullableOptional

Unique partner CMR number generated in the partner system. If absent, the parameter does not need to be transferred.

senderCompanyTinstring · max: 20Required

Sender company TIN code agreed upon with the integration manager.

senderDivisionIdintegerRequired

Sender division identifier agreed upon with the integration manager.

senderCompanyNamestring · max: 200 · nullableOptional

Name of the sender organization. Fill this field if senderCompanyTin == null or the value is not found in the directory.

senderAddressstring · max: 255 · nullableOptional

Loading address. Fill this field if senderDivisionId == null or the value is not found in the directory.

senderCompanyLegalAddressstring · max: 255 · nullableOptional

Registered address of the sender legal entity. Fill this field if senderCompanyTin == null or the value is not found in the directory.

senderCountrystring · nullableOptional

Sender country code according to the Alpha-2 standard. Fill this field if senderDivisionId == null or the value is not found in the directory.

Pattern: ^[A-Z]{2}$
recipientCompanyTinstring · max: 20Required

Recipient company TIN code agreed upon with the integration manager.

recipientDivisionIdintegerRequired

Recipient division identifier agreed upon with the integration manager.

recipientCompanyNamestring · max: 200 · nullableOptional

Name of the recipient organization. Fill this field if recipientCompanyTin == null or the value is not found in the directory.

recipientAddressstring · max: 255 · nullableOptional

Unloading address. Fill this field if recipientDivisionId == null or the value is not found in the directory.

recipientCompanyLegalAddressstring · max: 255 · nullableOptional

Registered address of the recipient legal entity. Fill this field if recipientCompanyTin == null or the value is not found in the directory.

recipientCountrystring · nullableOptional

Recipient country code according to the Alpha-2 standard. Fill this field if recipientDivisionId == null or the value is not found in the directory.

Pattern: ^[A-Z]{2}$
loadingDateTimestring · date-time · nullableRequired

Date and time of vehicle loading.

If the vehicle is not loaded yet at the moment of CMR creation, null must be transferred and updated later.

customsRecipientstring · max: 255Required

Recipient customs details agreed upon with the integration manager.

carrierTinstring · max: 20Required

Carrier company TIN code agreed upon with the integration manager.

carrierNamestring · max: 200 · nullableOptional

Name of the freight carrier. Fill this field if carrierTin == null or the value is not found in the directory.

vehicleNumberstring · max: 20Required

Vehicle number. Letters must be entered in Latin only.

trailerNumberstring · max: 20 · nullableRequired

Trailer number. Letters must be entered in Latin only.

If there is no trailer, the value null must be transferred.

sealNumberstring · max: 20 · nullableRequired

Seal number.

If the seal number is not yet known at the moment of creation, null must be transferred and updated later.

dateOfSealingstring · date-time · nullableRequired

Date and time of vehicle sealing.

If sealing information is not yet known at the moment of creation, null must be transferred and updated later.

numberMrnstring · max: 20 · nullableRequired

MRN T1 number.

If shipments are transported under CarnetTIR, the value null must be transferred.

carnetTirstring · max: 20 · nullableRequired

CarnetTIR number.

If shipments are transported under T1, the value null must be transferred.

externalNumberstring · max: 20 · nullableOptional

Optional external number.

This parameter is not required for current integration scenarios.

senderNotestring · max: 50 · nullableOptional

Optional sender note.

This parameter is not required for current integration scenarios.

recipientNotestring · max: 50 · nullableOptional

Optional recipient note.

This parameter is not required for current integration scenarios.

carrierNotestring · max: 200 · nullableOptional

Optional carrier note.

This parameter is not required for current integration scenarios.

Responses
200

Response to a successful request.

application/json
numberstringOptional

Unique CMR number in the EuroGate system.

partnerNumberstringOptional

The unique partner CMR number generated in the partner system.

statusstringOptional

Current operational status of the CMR (e.g., Created).

senderCompanyTinstringOptional

The sender's company TIN code.

senderCompanyNamestringOptional

Full name of the shipper's organization.

senderCompanyLegalAddressstringOptional

The registered legal address of the sender.

senderCompanyPhonestring · nullableOptional

Contact phone number of the sender's company.

senderCountryCodestringOptional

Sender's country code (Alpha-2).

Pattern: ^[A-Z]{2}$
senderCityCodestringOptional

System or postal code for the sender's city.

senderDivisionIdintegerOptional

Identifier of the sender's division.

senderAddressstringOptional

Full physical address or loading location for the sender.

recipientCompanyTinstringOptional

The recipient's company TIN code.

recipientCompanyNamestringOptional

Full name of the consignee's organization.

recipientCompanyLegalAddressstringOptional

The registered legal address of the recipient.

recipientCountryCodestringOptional

Recipient's country code (Alpha-2).

Pattern: ^[A-Z]{2}$
recipientCityCodestringOptional

System or postal code for the recipient's city.

recipientDivisionIdintegerOptional

Identifier of the recipient's division.

recipientAddressstringOptional

Full physical address or unloading location for the recipient.

loadingDateTimestring · date-timeOptional

Date and time of vehicle loading.

customsRecipientstringOptional

Recipient customs details and office codes.

carrierTinstringOptional

TIN code of the carrier company.

carrierNamestring · nullableOptional

Name of the freight carrier.

vehicleNumberstring · nullableOptional

Main vehicle registration number.

trailerNumberstring · nullableOptional

Trailer registration number.

sealNumberstring · nullableOptional

Number of the applied mechanical seal.

dateOfSealingstring · date-time · nullableOptional

Date and time when the vehicle was sealed.

userCreatestring · uuidOptional

Identifier (UUID) of the user who created the record.

createdAtstring · date-timeOptional

Timestamp when the CMR record was created.

updatedAtstring · date-timeOptional

Timestamp when the CMR record was last updated.

deletedAtstring · date-time · nullableOptional

Timestamp when the CMR record was deleted.

externalNumberstring · nullableOptional

Optional external reference number.

numberMrnstring · nullableOptional

MRN T1 declaration number.

rampDestinationTimestring · date-time · nullableOptional

Estimated or actual time of arrival at the loading ramp.

rampDepartureTimestring · date-time · nullableOptional

Estimated or actual time of departure from the loading ramp.

unloadingRampDestinationTimestring · date-time · nullableOptional

Estimated or actual time of arrival at the unloading ramp.

unloadingRampDepartureTimestring · date-time · nullableOptional

Estimated or actual time of departure from the unloading ramp.

actualWeightnumberOptional

Total actual weight of the cargo in kilograms or grams.

senderNotestring · nullableOptional

Informational notes or comments provided by the sender.

recipientNotestring · nullableOptional

Informational notes or comments provided by the recipient.

carrierNotestring · nullableOptional

Informational notes or comments provided by the carrier.

carnetTirstring · nullableOptional

CarnetTIR transit document number.

parcelsAmountintegerOptional

Total number of parcels included in the CMR.

shipmentAmountintegerOptional

Total number of shipments combined in this document.

transferOfCustomsDatastring · nullableOptional

Status or confirmation reference of customs data transmission.

post
/cmrs
200

Response to a successful request.

Update CMR

put
/cmrs/{number}

This method allows users to update an existing CMR document in the EuroGate system with sender, recipient, carrier, customs, and transport information.

The {number} path parameter can contain either:

  • the partner CMR number (partnerNumber), or

  • the unique CMR number in the EuroGate system (number).

In response to a successful request, the complete object will be received from the EuroGate system.

ℹ️ Information: If the vehicle has not yet been loaded or sealed at the moment of updating the CMR, the related parameters may contain the value null. The data can be updated later after the actual loading or sealing is completed.

Authorizations
AuthorizationstringRequired

Authorization JWT-token with a lifetime of 1 hour in header

Body
senderCompanyTinstring · max: 20Required

The sender company's TIN code agreed upon with the manager responsible for integration.

senderDivisionIdintegerRequired

Sender division identifier agreed upon with the manager responsible for integration.

senderCompanyNamestring · max: 200 · nullableOptional

Name of the shipper organization.

Fill in this field if senderCompanyTin == null or the value is not found in the directory.

senderAddressstring · max: 255 · nullableOptional

Loading address.

Fill in this field if senderDivisionId == null or the value is not found in the directory.

senderCompanyLegalAddressstring · max: 255 · nullableOptional

Registered address of the sender legal entity.

Fill in this field if senderCompanyTin == null or the value is not found in the directory.

senderCountrystring · nullableOptional

Sender country code according to the Alpha-2 standard.

Fill in this field if senderDivisionId == null or the value is not found in the directory.

Pattern: ^[A-Z]{2}$
recipientCompanyTinstring · max: 20Required

The recipient company's TIN code agreed upon with the manager responsible for integration.

recipientDivisionIdintegerRequired

Recipient division identifier agreed upon with the manager responsible for integration.

recipientCompanyNamestring · max: 200 · nullableOptional

Name of the consignee organization.

Fill in this field if recipientCompanyTin == null or the value is missing from the directory.

recipientAddressstring · max: 255 · nullableOptional

Unloading address.

Fill in this field if recipientDivisionId == null or the value is missing from the directory.

recipientCompanyLegalAddressstring · max: 255 · nullableOptional

Registered address of the recipient legal entity.

Fill in this field if recipientCompanyTin == null or the value is missing from the directory.

recipientCountrystring · nullableOptional

Recipient country code according to the Alpha-2 standard.

Fill in this field if recipientDivisionId == null or the value is missing from the directory.

Pattern: ^[A-Z]{2}$
loadingDateTimestring · date-time · nullableRequired

Date and time of vehicle loading.

If the vehicle has not yet been loaded at the time of updating the CMR, the value null must be transferred and updated later after loading.

customsRecipientstring · max: 255Required

Recipient customs details agreed upon with the manager responsible for integration.

carrierTinstring · max: 20Required

TIN code of the carrier company agreed upon with the manager responsible for integration.

carrierNamestring · max: 200 · nullableOptional

Name of the freight carrier.

Fill in this field if carrierTin == null or the value is not found in the directory.

vehicleNumberstring · max: 20Required

Vehicle number.

Letters must be entered in Latin only.

trailerNumberstring · max: 20 · nullableRequired

Trailer number.

Letters must be entered in Latin only.

If there is no trailer, the value null must be transferred.

sealNumberstring · max: 20 · nullableRequired

Seal number.

If the seal number is not yet known at the time of updating the CMR, the value null must be transferred and updated later.

dateOfSealingstring · date-time · nullableRequired

Date and time of vehicle sealing.

If the seal number and sealing time are not yet known at the time of updating the CMR, the value null must be transferred and updated later.

numberMrnstring · max: 20 · nullableRequired

MRN T1 number.

If shipments are transported under CarnetTIR, the value null must be transferred.

carnetTirstring · max: 20 · nullableRequired

CarnetTIR number.

If shipments are transported under T1, the value null must be transferred.

externalNumberstring · max: 20 · nullableOptional

Optional external number.

This parameter is optional and is not required for the integration. The null value is shown in the example only to demonstrate the request structure.

senderNotestring · max: 50 · nullableOptional

Optional sender note.

This parameter is optional and is not required for the integration. The null value is shown in the example only to demonstrate the request structure.

recipientNotestring · max: 50 · nullableOptional

Optional recipient note.

This parameter is optional and is not required for the integration. The null value is shown in the example only to demonstrate the request structure.

carrierNotestring · max: 200 · nullableOptional

Optional carrier note.

This parameter is optional and is not required for the integration. The null value is shown in the example only to demonstrate the request structure.

Responses
200

Successfully updated CMR object returned from the EuroGate system.

application/json
numberstringOptional

Unique CMR number in the EuroGate system.

partnerNumberstringOptional

Partner CMR number.

statusstringOptional

Current CMR status.

senderCompanyTinstringOptional

Sender company TIN.

senderCompanyNamestringOptional

Sender company name.

senderCompanyLegalAddressstringOptional

Sender legal address.

senderCompanyPhonestring · nullableOptional

Sender company phone number.

senderCountryCodestringOptional

Sender country code.

senderCityCodestringOptional

Sender city code.

senderDivisionIdintegerOptional

Sender division identifier.

senderAddressstringOptional

Sender address.

recipientCompanyTinstringOptional

Recipient company TIN.

recipientCompanyNamestringOptional

Recipient company name.

recipientCompanyLegalAddressstringOptional

Recipient legal address.

recipientCountryCodestringOptional

Recipient country code.

recipientCityCodestringOptional

Recipient city code.

recipientDivisionIdintegerOptional

Recipient division identifier.

recipientAddressstringOptional

Recipient address.

loadingDateTimestring · date-timeOptional

Vehicle loading date and time.

customsRecipientstringOptional

Customs recipient details.

carrierTinstringOptional

Carrier company TIN.

carrierNamestring · nullableOptional

Carrier company name.

vehicleNumberstring · nullableOptional

Vehicle number.

trailerNumberstring · nullableOptional

Trailer number.

sealNumberstring · nullableOptional

Seal number.

dateOfSealingstring · date-time · nullableOptional

Vehicle sealing date and time.

userCreatestringOptional

Identifier of the user who created the CMR.

createdAtstring · date-timeOptional

CMR creation date and time.

updatedAtstring · date-timeOptional

CMR update date and time.

deletedAtstring · nullableOptional

CMR deletion date and time.

externalNumberstring · nullableOptional

External number.

numberMrnstring · nullableOptional

MRN T1 number.

rampDestinationTimestring · date-time · nullableOptional

Ramp destination time.

rampDepartureTimestring · date-time · nullableOptional

Ramp departure time.

unloadingRampDestinationTimestring · date-time · nullableOptional

Unloading ramp destination time.

unloadingRampDepartureTimestring · date-time · nullableOptional

Unloading ramp departure time.

actualWeightintegerOptional

Actual shipment weight.

senderNotestring · nullableOptional

Sender note.

recipientNotestring · nullableOptional

Recipient note.

carrierNotestring · nullableOptional

Carrier note.

carnetTirstring · nullableOptional

CarnetTIR number.

parcelsAmountintegerOptional

Number of parcels.

shipmentAmountintegerOptional

Number of shipments.

transferOfCustomsDatastring · nullableOptional

Customs data transfer status.

put
/cmrs/{number}
200

Successfully updated CMR object returned from the EuroGate system.

Delete CMR

delete
/cmrs/{number}

This method allows users to delete a CMR in the EuroGate system, where a successful response contains the deletion timestamp.

Authorizations
AuthorizationstringRequired

Authorization JWT-token with a lifetime of 1 hour in header

Path parameters
numberstring · max: 50Required

CMR identifier.

The parameter can contain either:

  • the partner CMR number (partnerNumber), or
  • the unique CMR number in the EuroGate system (number).
Example: {"summary":"Partner CMR number","value":"PNCMR0123456781"}
Responses
200

CMR successfully deleted.

application/json
deletedAtstring · date-timeOptional

Date and time when the CMR was deleted.

delete
/cmrs/{number}
200

CMR successfully deleted.

Add additional manifests to CMR

post
/cmrs/documents/{number}

This method allows users to add additional pre-created manifests to an existing CMR in the EuroGate system.

In response to a successful request, the complete object will be received from the EuroGate system.

Authorizations
AuthorizationstringRequired

Authorization JWT-token with a lifetime of 1 hour in header

Path parameters
numberstringRequired

CMR identifier.

The parameter can contain either:

  • the partner CMR number (partnerNumber), or
  • the unique CMR number in the EuroGate system (number).
Example: {"summary":"Partner CMR number","value":"PNCMR0123456781"}
Body
Responses
200

Successfully updated CMR object returned from the EuroGate system.

application/json
numberstringOptional

Unique CMR number in the EuroGate system.

partnerNumberstringOptional

Partner CMR number.

statusstringOptional

Current CMR status.

senderCompanyTinstringOptional

Sender company TIN.

senderCompanyNamestringOptional

Sender company name.

senderCompanyLegalAddressstringOptional

Sender legal address.

senderCompanyPhonestring · nullableOptional

Sender company phone number.

senderCountryCodestringOptional

Sender country code.

senderCityCodestringOptional

Sender city code.

senderDivisionIdintegerOptional

Sender division identifier.

senderAddressstringOptional

Sender address.

recipientCompanyTinstringOptional

Recipient company TIN.

recipientCompanyNamestringOptional

Recipient company name.

recipientCompanyLegalAddressstringOptional

Recipient legal address.

recipientCountryCodestringOptional

Recipient country code.

recipientCityCodestringOptional

Recipient city code.

recipientDivisionIdintegerOptional

Recipient division identifier.

recipientAddressstringOptional

Recipient address.

loadingDateTimestring · date-timeOptional

Vehicle loading date and time.

customsRecipientstringOptional

Customs recipient details.

carrierTinstringOptional

Carrier company TIN.

carrierNamestring · nullableOptional

Carrier company name.

vehicleNumberstring · nullableOptional

Vehicle number.

trailerNumberstring · nullableOptional

Trailer number.

sealNumberstring · nullableOptional

Seal number.

dateOfSealingstring · date-time · nullableOptional

Vehicle sealing date and time.

userCreatestringOptional

Identifier of the user who created the CMR.

createdAtstring · date-timeOptional

CMR creation date and time.

updatedAtstring · date-timeOptional

CMR update date and time.

deletedAtstring · nullableOptional

CMR deletion date and time.

externalNumberstring · nullableOptional

External number.

numberMrnstring · nullableOptional

MRN T1 number.

rampDestinationTimestring · date-time · nullableOptional

Ramp destination time.

rampDepartureTimestring · date-time · nullableOptional

Ramp departure time.

unloadingRampDestinationTimestring · date-time · nullableOptional

Unloading ramp destination time.

unloadingRampDepartureTimestring · date-time · nullableOptional

Unloading ramp departure time.

actualWeightintegerOptional

Actual shipment weight.

senderNotestring · nullableOptional

Sender note.

recipientNotestring · nullableOptional

Recipient note.

carrierNotestring · nullableOptional

Carrier note.

carnetTirstring · nullableOptional

CarnetTIR number.

parcelsAmountintegerOptional

Number of parcels.

shipmentAmountintegerOptional

Number of shipments.

transferOfCustomsDatastring · nullableOptional

Customs data transfer status.

post
/cmrs/documents/{number}
200

Successfully updated CMR object returned from the EuroGate system.

Delete manifests from CMR

delete
/cmrs/documents/{number}

This method allows users to delete manifests linked to an existing CMR in the EuroGate system.

In response to a successful request, the complete object will be received from the EuroGate system.

Authorizations
AuthorizationstringRequired

Authorization JWT-token with a lifetime of 1 hour in header

Path parameters
numberstringRequired

CMR identifier.

The parameter can contain either:

  • the partner CMR number (partnerNumber), or
  • the unique CMR number in the EuroGate system (number).
Example: {"summary":"Partner CMR number","value":"PNCMR0123456781"}
Body
Responses
200

Successfully updated CMR object returned from the EuroGate system.

application/json
numberstringOptional

Unique CMR number in the EuroGate system.

partnerNumberstringOptional

Partner CMR number.

statusstringOptional

Current CMR status.

senderCompanyTinstringOptional

Sender company TIN.

senderCompanyNamestringOptional

Sender company name.

senderCompanyLegalAddressstringOptional

Sender legal address.

senderCompanyPhonestring · nullableOptional

Sender company phone number.

senderCountryCodestringOptional

Sender country code.

senderCityCodestringOptional

Sender city code.

senderDivisionIdintegerOptional

Sender division identifier.

senderAddressstringOptional

Sender address.

recipientCompanyTinstringOptional

Recipient company TIN.

recipientCompanyNamestringOptional

Recipient company name.

recipientCompanyLegalAddressstringOptional

Recipient legal address.

recipientCountryCodestringOptional

Recipient country code.

recipientCityCodestringOptional

Recipient city code.

recipientDivisionIdintegerOptional

Recipient division identifier.

recipientAddressstringOptional

Recipient address.

loadingDateTimestring · date-timeOptional

Vehicle loading date and time.

customsRecipientstringOptional

Customs recipient details.

carrierTinstringOptional

Carrier company TIN.

carrierNamestring · nullableOptional

Carrier company name.

vehicleNumberstring · nullableOptional

Vehicle number.

trailerNumberstring · nullableOptional

Trailer number.

sealNumberstring · nullableOptional

Seal number.

dateOfSealingstring · date-time · nullableOptional

Vehicle sealing date and time.

userCreatestringOptional

Identifier of the user who created the CMR.

createdAtstring · date-timeOptional

CMR creation date and time.

updatedAtstring · date-timeOptional

CMR update date and time.

deletedAtstring · nullableOptional

CMR deletion date and time.

externalNumberstring · nullableOptional

External number.

numberMrnstring · nullableOptional

MRN T1 number.

rampDestinationTimestring · date-time · nullableOptional

Ramp destination time.

rampDepartureTimestring · date-time · nullableOptional

Ramp departure time.

unloadingRampDestinationTimestring · date-time · nullableOptional

Unloading ramp destination time.

unloadingRampDepartureTimestring · date-time · nullableOptional

Unloading ramp departure time.

actualWeightintegerOptional

Actual shipment weight.

senderNotestring · nullableOptional

Sender note.

recipientNotestring · nullableOptional

Recipient note.

carrierNotestring · nullableOptional

Carrier note.

carnetTirstring · nullableOptional

CarnetTIR number.

parcelsAmountintegerOptional

Number of parcels.

shipmentAmountintegerOptional

Number of shipments.

transferOfCustomsDatastring · nullableOptional

Customs data transfer status.

delete
/cmrs/documents/{number}
200

Successfully updated CMR object returned from the EuroGate system.

Get printed CMR form

get
/cmrs/prints

This method allows users to get printed CMR forms generated in the EuroGate system, where one or multiple CMR print forms can be downloaded in .pdf or .docx format.

The generated file is returned encoded in Base64.

Authorizations
AuthorizationstringRequired

Authorization JWT-token with a lifetime of 1 hour in header

Query parameters
numbers[]string[]Required

List of CMR identifiers.

Each value can contain either:

  • the partner CMR number (partnerNumber), or
  • the unique CMR number in the EuroGate system (number).
formatstring · enumRequired

Output file format of the generated print form.

Example: PdfPossible values:
weightPrecisionintegerOptional

Number of decimal places used for weight values in the printed document.

If the parameter is not specified, the default precision is 2 decimal places.

If the value 3 is specified, the print form returns weight values with 3 decimal places.

Example: 3
Responses
200

Printed CMR form successfully generated.

application/json
filestringOptional

Base64-encoded printed CMR form.

formatstring · enumOptional

Generated file format.

Possible values:
get
/cmrs/prints
200

Printed CMR form successfully generated.

Create manifests archive file

post
/manifests-archive/file

This method allows users to create an archive file containing printed manifests linked to the specified CMRs, where the archive can be generated in .pdf or .xlsx format.

After a successful response returns a fileId that can be used to check the file generation status in the next request.

Authorizations
AuthorizationstringRequired

Authorization JWT-token with a lifetime of 1 hour in header

Body
formatstring · enumRequired

Output format of the generated archive file.

Example: PdfPossible values:
weightPrecisionintegerOptional

Number of decimal places used for weight values in the generated document.

If the parameter is not specified, the default precision is 2 decimal places.

If the value 3 is specified, the print form returns weight values with 3 decimal places.

Example: 3
cmrsNumbersstring[]Required

List of CMR identifiers.

Each value can contain either:

  • the partner CMR number (partnerNumber), or
  • the unique CMR number in the EuroGate system (number).
Example: ["PNCMR0123456781"]
Responses
200

Archive generation request successfully created.

application/json
fileIdstringOptional

Identifier of the generated archive file.

post
/manifests-archive/file
200

Archive generation request successfully created.

Get manifests archive file status

get
/manifests-archive/files/status

This method allows users to retrieve the file creation status for previously requested manifests archive files.

Once the file status changes to Finished, the response contains a download URL for the generated file.

The generated file remains available until the expiredAt date and time. After expiration, a new archive generation request must be created.

Authorizations
AuthorizationstringRequired

Authorization JWT-token with a lifetime of 1 hour in header

Query parameters
ids[]string[]Required

List of archive file identifiers.

Example: ["d82f2af3-5f72-4ef3-9193-4e5a5513d8c0"]
Responses
200

File status information successfully retrieved.

application/json
idstringOptional

File identifier.

statusstring · enumOptional

File creation status.

Available values:

  • InProcess — file is being generated.
  • Finished — file is ready for download.
  • NotFound — file with the specified identifier was not found.
Possible values:
urlstring · nullableOptional

Download link for the generated file.

The field appears only when the file status is Finished.

expiredAtstring · date-time · nullableOptional

Date and time when the file will no longer be available for download.

After the specified time, a new request must be created to generate printed forms again.

get
/manifests-archive/files/status
200

File status information successfully retrieved.

Create “List of Manifests” archive file

post
/list-of-manifests-archive/file

This method allows users to create a printable “List of Manifests” file for the specified CMR, where the file can be generated in .pdf or .xlsx format.

After a successful response returns a fileId that can be used to check the file generation status in the next request.

Authorizations
AuthorizationstringRequired

Authorization JWT-token with a lifetime of 1 hour in header

Body
formatstring · enumRequired

Output format of the generated file.

Example: PdfPossible values:
cmrNumberOrPartnerNumberstring · max: 50Required

CMR identifier.

The parameter can contain either:

  • the partner CMR number (partnerNumber), or
  • the unique CMR number in the EuroGate system (number).
Example: PNCMR0123456781
weightPrecisionintegerOptional

Number of decimal places used for weight values in the generated document.

If the parameter is not specified, the default precision is 2 decimal places.

If the value 3 is specified, the print form returns weight values with 3 decimal places.

Example: 3
Responses
200

File generation request successfully created.

application/json
fileIdstringOptional

Identifier of the generated file.

post
/list-of-manifests-archive/file
200

File generation request successfully created.

Get “List of Manifests” file status

get
/list-of-manifests-archive/files/status

This method allows users to retrieve the file creation status for previously requested “List of Manifests” files.

Once the file status changes to Finished, the response contains a download URL for the generated file.

The generated file remains available until the expiredAt date and time, after which a new file generation request must be created.

Authorizations
AuthorizationstringRequired

Authorization JWT-token with a lifetime of 1 hour in header

Query parameters
ids[]string[]Required

List of generated file identifiers.

Example: ["a3fc5d76-e97b-4398-bded-3daa509428ab"]
Responses
200

File status information successfully retrieved.

application/json
idstringOptional

File identifier.

Example: a3fc5d76-e97b-4398-bded-3daa509428ab
statusstring · enumOptional

File creation status.

Available values:

  • InProcess — file is being generated.
  • Finished — file is ready for download.
  • NotFound — file with the specified identifier was not found.
Example: FinishedPossible values:
urlstring · nullableOptional

Download link for the generated file.

The field appears only when the file status is Finished.

Example: https://eu-gate-service-dev.nova-digital.net/api/list-of-manifests-archive/file/a7273587-eedb-4dbf-87ef-0057477f1406
expiredAtstring · date-time · nullableOptional

Date and time when the file will no longer be available for download.

After the specified time, a new request must be created to generate the file again.

Example: 2026-03-18T05:38:17.000000Z
get
/list-of-manifests-archive/files/status
200

File status information successfully retrieved.

Last updated